<article class='post-brief'>
	{% if post.is_image == True %}
		<div class='post-brief-thumb'><img id='image-full-dispenser' class='image-preview' onclick='full_image();' width='128px' height='128px' src='/post/thumb?pid={{ post.id }}'></img></div>
		<div id='image-full' class='image-preview-full'>
			<img src='/post/image?pid={{ post.id }}'>
		</div>
		<div id='smoke-curtain' class='smoke-curtain'></div>
	{% elif post.is_thumb == True and post.is_link == True %}
		<div class='post-brief-thumb'><a href='{{ post.link_url }}'><img src='/post/thumb?pid={{ post.id }}'></img></a></div>
	{% elif post.is_thumb == True %}
		<div class='image-full'><img width='128px' height='128px' src='/post/thumb?pid={{ post.id }}'></div>
	{% endif %}

	<div style='height:100%;float:left;margin:0 16px;'>
	{% if u != None %}
		<a tabindex=0 id='{{ post.id }}-upvote' class='content-upvote{% if u.has_vote_on_post(post.id).value == 1 %}-active{% endif %}' onclick='vote_post("{{ post.id }}",1)'></a>
		<p id='{{ post.id }}-counter'>{{ post.upvote_count }}/{{ post.downvote_count }}</p>
		<a tabindex=0 id='{{ post.id }}-downvote' class='content-downvote{% if u.has_vote_on_post(post.id).value == -1 %}-active{% endif %}' onclick='vote_post("{{ post.id }}",-1)'></a>
	{% else %}
		<a tabindex=0 class='content-upvote'></a>
		<p id='{{ post.id }}-counter'>{{ post.upvote_count }}/{{ post.downvote_count }}</p>
		<a tabindex=0 class='content-downvote'></a>
	{% endif %}
	</div>
	
	{% if post.is_link == True %}
	<a href='{{ post.link_url }}'><h2>{{ post.title }}</h2></a>
	{% else %}
	<a href='/post/view?pid={{ post.id }}'><h2>{{ post.title }}</h2></a>
	{% endif %}
	
	<p style='color:gray;'>{% trans %}Submitted{% endtrans %} <i class='content-datetime' value='{{ post.creation_date }}'>({% trans %}calculating{% endtrans %}...)</i> by 
	<a href='/user/view?uid={{ post.user_info.id }}'>/u/{{ post.user_info.username }}</a>
	Posted on <a href='/board/view?bid={{ post.board_info.id }}'><img style='border-radius:12px;width:24px;height:24px;' src='/board/thumb?bid={{ post.board_info.id }}'></img> /b/{{ post.board_info.name | truncate(50,True) }}</a>
	</p>
	
	<a class='post-option' href='/post/list?category={{ post.category_info.name }}'>{{ post.category_info.name }}</a>

	<a class='post-option' href='/post/view?pid={{ post.id }}'>{{ post.views }} {% trans %}views{% endtrans %}</a>
	<a class='post-option' href='/post/view?pid={{ post.id }}'>{{ post.number_comments }} {% trans %}comments{% endtrans %}</a>
	
{% if u != None %}
	{% if u.id == post.user_id or u.is_admin == True %}
	<a class='post-option' href='/post/delete?pid={{ post.id }}'>{% trans %}Delete{% endtrans %}</a>
	<a class='post-option' href='/post/edit?pid={{ post.id }}'>{% trans %}Edit{% endtrans %}</a>
	{% endif %}
	{% if post.board_info and u.mods(post.board_info.id) == True or u.is_admin == True %}
	<a class='post-option' href='/post/kick?pid={{ post.id }}'>{% trans %}Kick{% endtrans %}</a>
	{% if post.is_nuked == False %}
	<a class='post-option' href='/post/nuke?pid={{ post.id }}'>{% trans %}Nuke{% endtrans %}</a>
	{% elif u.is_admin == True %}
	<a class='post-option' href='/post/unnuke?pid={{ post.id }}'>{% trans %}Un-nuke{% endtrans %}</a>
	{% endif %}
	<a class='post-option' href='/board/ban?bid={{ post.board_id }}&uid={{ post.user_id }}'>{% trans %}Ban user{% endtrans %}</a>
	{% endif %}
	<a class='post-option' href='/post/yank?pid={{ post.id }}'>{% trans %}Yank{% endtrans %}</a>
{% endif %}
{% if post.show_votes == True %}
	<a class='post-option' href='/post/ballot?pid={{ post.id }}'>{% trans %}Voters{% endtrans %}</a>
{% endif %}
	<a class='post-option' href='/post/flag?pid={{ post.id }}'>{% trans %}Flag{% endtrans %}</a>
	<a class='post-option' href='/post/embed?pid={{ post.id }}'>{% trans %}Embed{% endtrans %}</a>
</article>
